Skip to main content
`Ctrl`+`K`

# PetscDeviceInitialize

Initialize `PetscDevice`

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceInitialize(PetscDeviceType type)

Not Collective

## Input Parameter

- type - The `PetscDeviceType` to initialize

## Notes

Eagerly initializes the corresponding `PetscDeviceType` if needed. If this is the case it may result in device synchronization.

## See Also

`PetscDevice`, `PetscDeviceInitType`, `PetscDeviceInitialized()`, `PetscDeviceCreate()`, `PetscDeviceDestroy()`

## Level

beginner

## Location

src/sys/objects/device/interface/device.cxx

Index of all Device routines
Table of Contents for all manual pages
Index of all manual pages